<template>
  <section class="testimonails_section" v-if="product_list.length>0">
    <div class="container">
      <h2>Latest Specials</h2>
      <p class="text-center mb-4 pb-4">Our rental hire specials in Perth are usually purchased in bulk and hence are
        always in stock and represent great value. Short or long term hire and buy options are available at affordable
        rates. A 5 minute call and you can have any of them as soon as today!</p>
      <ul class="specials_slider" v-for="(product,i) in product_list">
        <li> 
          <h2>{{ product.name }}</h2>
          <div class="prd_img"><img v-if="product.file_upload.length > 0"
                  :src="`${options.storage_root}/` + product.file_upload[0].upload.uploaded_path"
                  :title="(product.file_upload[0].title != null) ? product.file_upload[0].title : product.name"
                  :alt="(product.file_upload[0].alt_text != null) ? product.file_upload[0].alt_text : product.name">
                <img v-else src="/images/no-img.png"></div>
          <div class="rental_price">
            <div class="from_text">From</div>
            <div class="price_text">${{ (product.pricings.length>0) ? (product.pricings[0]['price']*1).toFixed(2) : (0.00*1).toFixed(2) }}/wk</div>
            <div class="view_btn"><a href="javascript:;" @click="buildProductUrl(product)">View details</a></div>
          </div>
        </li>
      </ul>
    </div>
  </section>
</template>
<script>
import options from '~/assets/options';
export default {
  data() {
    return {
      options     : options,
      product_list: this.$store.state.front_end_data.special_products,
      loading: false,
    }
  },
  mounted() {
    setTimeout(() => {
      slideSpecials();
    }, 1000)
  },
  methods: {
    async buildProductUrl(product) {
            let product_details = [{
                item_name   : product.name,
                item_id     : product.id,
                item_sku    : product.model_number,
                price       : (product.retail_price*1).toFixed(2),
                item_category : (product.default_category!=null) ? product.default_category.name : ""
            }]
            productSelection(product_details,'select_item');
            let location_name = (this.location_name!=null && this.location_name!='') ? '/'+this.location_name+'/' : '/';
            let parent_category = (product.default_category.parent_category!=null) ? product.default_category.parent_category.link_rewrite+'/' : "";
            let route = location_name+parent_category+product.default_category.link_rewrite+'/'+product.link_rewrite;
            window.location.href=route;
        },
  }
}
</script>